Bug 2939 - [UPDATE REQUEST] [UPSTREAM UPDATE] ypserv
: [UPDATE REQUEST] [UPSTREAM UPDATE] ypserv
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 15:12 MSD by Andrew Lukoshko
Modified: 2013-10-29 18:15 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-10-18 15:12:38 MSD
* After previous bug fixes, the ypbind utility had such chkconfig priorities,
that it was started before the ypserv utility during system boot and then
stopped after the ypserv utility during system shutdown. As a consequence, when
booting the system with the ypbind and ypserv utilities running locally and both
enabled, ypbind failed to start during boot, because ypserv was not running. The
chkconfig priorities of ypserv have been modified so that ypserv starts before
ypbind during system boot and stops after ypbind during system shutdown. As a
result, when booting the system with the ypbind and ypserv utilities running
locally and both enabled, ypbind now successfully starts during boot. In order
to apply new startup priority settings in case the ypserv service has already
been enabled before installing these updated packages, ypserv priorities have to
be reset using the "service ypserv resetpriorities" command. This is done
automatically after installing the package, only if the ypbind service is
enabled; it is done this way in order to not change priority when it is not
necessary. 

http://rhn.redhat.com/errata/RHBA-2013-1406.html

https://abf.rosalinux.ru/build_lists/1339441
https://abf.rosalinux.ru/build_lists/1339442
Comment 1 Vladimir Potapov 2013-10-25 15:22:15 MSD
ypserv-2.19-26.res6.2
*********************** RHEL Advisory *********************
 After previous bug fixes, the ypbind utility had such chkconfig priorities,
that it was started before the ypserv utility during system boot and then
stopped after the ypserv utility during system shutdown. As a consequence, when
booting the system with the ypbind and ypserv utilities running locally and both
enabled, ypbind failed to start during boot, because ypserv was not running. The
chkconfig priorities of ypserv have been modified so that ypserv starts before
ypbind during system boot and stops after ypbind during system shutdown. As a
result, when booting the system with the ypbind and ypserv utilities running
locally and both enabled, ypbind now successfully starts during boot. In order
to apply new startup priority settings in case the ypserv service has already
been enabled before installing these updated packages, ypserv priorities have to
be reset using the "service ypserv resetpriorities" command. This is done
automatically after installing the package, only if the ypbind service is
enabled; it is done this way in order to not change priority when it is not
necessary. 
*************************************************************
QA Verified